<!-- <!DOCTYPE html>
<html>
<head>
<title>Page Title</title>


<link rel="stylesheet" href="./css/search.css" />


<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">









</head>

<body>
    <header class="header-area">
   
      <div class="navbar-area">
        <div class="container">
          <nav class="site-navbar">
           
            <a href="#home" class="site-logo">
            <img src="./img/Untitled-8-01.png" width="150"/>
          </a>
    
     
            <ul>
              <li><a href="#">Home</a></li>
              <li><a href="#">About</a></li>
              <li><a href="#">Post</a></li>
              <li><a href="#">Contact Us</a></li>
            </ul>
    
           
            <button class="nav-toggler">
              <span></span>
            </button>
          </nav>
        </div>
      </div>
    

      
      <div class="intro-area">
        <div class="container">
          <div class="input-box"style="display: flex; align-items: center; justify-content: center;">
            <i class="fa fa-dot-circle-o" aria-hidden="true" style="color: #00A4EC;"></i>
            <select style="border:solid 0px #fff;width:80%;font-size:18px;outline: none;color:#707070;">
                <option value="">Choose Starting point</option>
                <option value="">Choose destination</option>
                <option value="Bumthang">Bumthang</option>
                <option value="Chukha">Chukha</option>
                <option value="Dagana">Dagana</option>
                <option value="Gasa">Gasa</option>
                <option value="Haa">Haa</option>
                <option value="Lhuentse">Lhuentse</option>
                <option value="Mongar">Mongar</option>
                <option value="Paro">Paro</option>
                <option value="Pemagatshel">Pemagatshel</option>
                <option value="Punakha">Punakha</option>
                <option value="Samtse">Samtse</option>
                <option value="Sarpang">Sarpang</option>
                <option value="Thimphu">Thimphu</option>
                <option value="Trashigang">Trashigang</option>
                <option value="Trashiyangtse">Trashiyangtse</option>
                <option value="Punakha">Trongsa</option>
                <option value="Tsirang">Tsirang</option>
                <option value="WangduePhodrang">WangduePhodrang</option>
                <option value="Zhemgang ">Zhemgang</option>
            </select>
          </div>

          <div class="input-box" style="display: flex; align-items: center; justify-content: center;">
            <i class="fa fa-map-marker" aria-hidden="true" style="color:#E48310;"></i>
            <select style="border:solid 0px #fff;width:80%;font-size:18px;outline: none;color:#707070;">
              <option value="">Choose destination</option>
              <option value="Bumthang">Bumthang</option>
              <option value="Chukha">Chukha</option>
              <option value="Dagana">Dagana</option>
              <option value="Gasa">Gasa</option>
              <option value="Haa">Haa</option>
              <option value="Lhuentse">Lhuentse</option>
              <option value="Mongar">Mongar</option>
              <option value="Paro">Paro</option>
              <option value="Pemagatshel">Pemagatshel</option>
              <option value="Punakha">Punakha</option>
              <option value="Samtse">Samtse</option>
              <option value="Sarpang">Sarpang</option>
              <option value="Thimphu">Thimphu</option>
              <option value="Trashigang">Trashigang</option>
              <option value="Trashiyangtse">Trashiyangtse</option>
              <option value="Punakha">Trongsa</option>
              <option value="Tsirang">Tsirang</option>
              <option value="WangduePhodrang">WangduePhodrang</option>
              <option value="Zhemgang ">Zhemgang</option>
          </select>
           
          </div>
          <div class="input-box">
            <i class="fa fa-calendar-o" aria-hidden="true" id="calendar-icon"></i>
            <input type="date" id="dateInput" class="custom-date-input" />
         
            

         
          </div>
          <button class="cta">
            <span>Check</span>
          
          </button>
        </div>
      </div>
    </header>
  

    <div class="container-bottom">
     
    <section>
      <form class="form" action="/api/post-data" method="post" enctype="multipart/form-data">
          
        <label>
    
  
          <input  placeholder="Date" type="date" class="input"  name="date" style="color:black">
       
        </label>

        <div class="flex">
          <label>
         
              <input placeholder="Name" type="text" class="input"  name="name" >
            
          </label>
  
          <label>
       
              <input type="text" placeholder="Current location" class="input" name="currentlocation">
              
          </label>
         </div> 

          <div class="flex">
            <label for="source">
              <select id="source" name="source"   class="input1">
                <option value="" disabled selected>Source</option>
                <option value="Bumthang">Bumthang</option>
                <option value="Chhukha">Chhukha</option>
                <option value="Dagana">Dagana</option>
                <option value="Gasa">Gasa</option>
                <option value="Haa">Haa</option>
                <option value="Lhuentse">Lhuentse</option>
                <option value="Monggar">Monggar</option>
                <option value="Paro">Paro</option>
                <option value="Pema Gatshel">Pema Gatshel</option>
                <option value="Punakha">Punakha</option>
                <option value="Samdrup Jongkhar">Samdrup Jongkhar</option>
                <option value="Samtse">Samtse</option>
                <option value="Sarpang">Sarpang</option>
                <option value="Tashi Yangtse">Tashi Yangtse</option>
                <option value="Thimphu">Thimphu</option>
                <option value="Trashigang">Trashigang</option>
                <option value="Trongsa">Trongsa</option>
                <option value="Tsirang">Tsirang</option>
                <option value="Wangdue Phodrang">Wangdue Phodrang</option>
                <option value="Zhemgang">Zhemgang</option>
              </select>
            </label>
        
  
          <label for="destination">
            <select id="destination" name="destination"  class="input1">
              <option value="" disabled selected>Destination</option>
              <option value="Bumthang">Bumthang</option>
              <option value="Chhukha">Chhukha</option>
              <option value="Dagana">Dagana</option>
              <option value="Gasa">Gasa</option>
              <option value="Haa">Haa</option>
              <option value="Lhuentse">Lhuentse</option>
              <option value="Monggar">Monggar</option>
              <option value="Paro">Paro</option>
              <option value="Pema Gatshel">Pema Gatshel</option>
              <option value="Punakha">Punakha</option>
              <option value="Samdrup Jongkhar">Samdrup Jongkhar</option>
              <option value="Samtse">Samtse</option>
              <option value="Sarpang">Sarpang</option>
              <option value="Tashi Yangtse">Tashi Yangtse</option>
              <option value="Thimphu">Thimphu</option>
              <option value="Trashigang">Trashigang</option>
              <option value="Trongsa">Trongsa</option>
              <option value="Tsirang">Tsirang</option>
              <option value="Wangdue Phodrang">Wangdue Phodrang</option>
              <option value="Zhemgang">Zhemgang</option>
            </select>
          </label>
          </div>  
              
     
            
      
        <label>
        
          <textarea placeholder="Description" id="description" class="input1" name="description" style="height: 150px;"></textarea>
         
    
        </label>

        <label>
         
          <input placeholder="Image" type="file" class="input" name="image" style="color:black;">
      
      </label>
      <span id="date-error" class="error-message" style="color:red"></span>
      <span id="name-error" class="error-message"  style="color:red"></span>
      <span id="location-error" class="error-message"  style="color:red"></span>
      <span id="source-error" class="error-message"  style="color:red"></span>
      <span id="destination-error" class="error-message"  style="color:red"></span>
      
      <span id="description-error" class="error-message"  style="color:red"></span>
      <span id="image-error" class="error-message"  style="color:red"></span>

      <button class="submit">Submit</button>
        
    </form>
   
    </section>
  
     
    </div>
</body>


<script src="https://cdnjs.cloudflare.com/ajax/libs/responsive-nav/1.0.32/responsive-nav.min.js"></script>

<script>
const navToggler = document.querySelector('.nav-toggler');
const navMenu = document.querySelector('.site-navbar ul');
const navLinks = document.querySelectorAll('.site-navbar a');

// load all event listners
allEventListners();

// functions of all event listners
function allEventListners() {
  // toggler icon click event
  navToggler.addEventListener('click', togglerClick);
  // nav links click event
  navLinks.forEach( elem => elem.addEventListener('click', navLinkClick));
}

// togglerClick function
function togglerClick() {
  navToggler.classList.toggle('toggler-open');
  navMenu.classList.toggle('open');
}

// navLinkClick function
function navLinkClick() {
  if(navMenu.classList.contains('open')) {
    navToggler.click();
  }
}
</script>

<script>
  const form = document.querySelector('.form');

  const dateInput = form.querySelector('input[name="date"]');
  const nameInput = form.querySelector('input[name="name"]');
  const locationInput = form.querySelector('input[name="currentlocation"]');
  
  const sourceSelect = form.querySelector('select[name="source"]');
  const destinationSelect = form.querySelector('select[name="destination"]');

  const descriptionTextarea = form.querySelector('textarea[name="description"]');
  const imageInput = form.querySelector('input[name="image"]');



  const dateError = document.getElementById('date-error');
  const nameError = document.getElementById('name-error');
  const sourceError = document.getElementById('source-error');

  const locationError = document.getElementById('location-error');
  const destinationError = document.getElementById('destination-error');

  const descriptionError = document.getElementById('description-error');
  const imageError = document.getElementById('image-error');

  form.addEventListener('submit', function (event) {
    let hasError = false;
    dateError.textContent = '';
    dateError.style.display = 'none';
    nameError.textContent = '';
    nameError.style.display = 'none';

    if (dateInput.value.trim() === '') {
dateError.textContent = 'Please select a date.';
dateError.style.display = 'block';
hasError = true;
} else {
// Name (only if there was no date error)
if (nameInput.value.trim() === '') {
  nameError.textContent = 'Please fill in the Name field.';
  nameError.style.display = 'block';
  hasError = true;
} else if (!/^[A-Za-z ]+$/.test(nameInput.value.trim().replace(/\s/g, ''))) {
  nameError.textContent = 'Name can only contain alphabetical characters and spaces.';
  nameError.style.display = 'block';
  hasError = true;
}
}

    if (!hasError && locationInput.value.trim() === '') {
      locationError.textContent = 'Please fill in the location.';
      locationError.style.display = 'block';
      hasError = true;
    } else {
      locationError.textContent = '';
      locationError.style.display = 'none';
    }

    if (!hasError && sourceSelect.value === '') {
      sourceError.textContent = 'Please select a source.';
      sourceError.style.display = 'block';
      hasError = true;
    } else {
      sourceError.textContent = '';
      sourceError.style.display = 'none';
    }

    if (!hasError && destinationSelect.value === '') {
      destinationError.textContent = 'Please select a destination.';
      destinationError.style.display = 'block';
      hasError = true;
    } else {
      destinationError.textContent = '';
      destinationError.style.display = 'none';
    }



    if (!hasError && descriptionTextarea.value.trim() === '') {
      descriptionError.textContent = 'Please provide a description.';
      descriptionError.style.display = 'block';
      hasError = true;
    } else {
      descriptionError.textContent = '';
      descriptionError.style.display = 'none';
    }

    if (!hasError && imageInput.value.trim() === '') {
      imageError.textContent = 'Please upload an image.';
      imageError.style.display = 'block';
      hasError = true;
    } else {
      imageError.textContent = '';
      imageError.style.display = 'none';
    }

    if (hasError) {
      event.preventDefault();
    }
  });

  dateInput.addEventListener('input', function () {
    dateError.textContent = '';
    dateError.style.display = 'none';
  }); 
  nameInput.addEventListener('input', function () {
    nameError.textContent = '';
    nameError.style.display = 'none';
  });
  locationInput.addEventListener('input', function () {
    locationError.textContent = '';
    locationError.style.display = 'none';
  });

  sourceSelect.addEventListener('change', function () {
    sourceError.textContent = '';
    sourceError.style.display = 'none';
  });

  destinationSelect.addEventListener('change', function () {
    destinationError.textContent = '';
    destinationError.style.display = 'none';
  });



  descriptionTextarea.addEventListener('input', function () {
    descriptionError.textContent = '';
    descriptionError.style.display = 'none';
  });

  imageInput.addEventListener('input', function () {
    imageError.textContent = '';
    imageError.style.display = 'none';
  });
</script>
</body>
</html>
<style>

.error-message {
  display: none;
  color: red;

}


</style>
<style>
  .form {
  display: flex;
  flex-direction: column;
  gap: 10px;
  max-width: 500px;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  padding: 20px;
  border-radius: 20px;
  position: relative;
}

.title {
  font-size: 28px;
  color: royalblue;
  font-weight: 600;
  letter-spacing: -1px;
  position: relative;
  display: flex;
  align-items: center;
  padding-left: 30px;
}

.title::before,.title::after {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  border-radius: 50%;
  left: 0px;
  background-color: royalblue;
}

.title::before {
  width: 18px;
  height: 18px;
  background-color: royalblue;
}

.title::after {
  width: 18px;
  height: 18px;
  animation: pulse 1s linear infinite;
}

.message, .signin {
  color: rgba(88, 87, 87, 0.822);
  font-size: 14px;
}

.signin {
  text-align: center;
}

.signin a {
  color: royalblue;
}

.signin a:hover {
  text-decoration: underline royalblue;
}

.flex {
  display: flex;
  width: 100%;
  gap: 6px;
}

.form label {
  position: relative;
}

.form label .input {
  width: 100%;
  padding: 10px 10px 20px 10px;
  outline: 0;
  border: 1px solid rgba(105, 105, 105, 0.397);
  border-radius: 10px;
}
.form label .input1 {
  width: 100%;
  padding: 10px 10px 20px 10px;
  outline: 0;
  border: 1px solid rgba(105, 105, 105, 0.397);
  border-radius: 10px;
}

.form label .input + span {
  position: absolute;
  left: 10px;
  bottom:15px;
  color: grey;
  font-size: 0.9em;
  cursor: text;
  transition: 0.3s ease;
}
.form label .input1 + span {
  position: absolute;
  left: 10px;
  bottom:120px;
  color: grey;
  font-size: 0.9em;
  cursor: text;
  transition: 0.3s ease;
}

.form label .input:placeholder-shown + span {
  bottom: 15px;
  font-size: 0.9em;
}
.form label .input1:placeholder-shown + span {
  bottom: 15px;
  font-size: 0.9em;
}

.form label .input:focus + span,.form label .input:valid + span {
  top: -0px;
  font-size: 0.7em;
  font-weight: 600;
}
.form label .input1:focus + span,.form label .input:valid + span {
  top: -0px;
  font-size: 0.7em;
  font-weight: 600;
}

.form label .input:valid + span {
  color: green;
}
.form label .input1:valid + span {
  color: green;
}

.submit {
  border: none;
  outline: none;
  background-color:#E48310;
  padding: 10px;
  border-radius: 10px;
  color: #fff;
  font-size: 16px;
  transform: .3s ease;
}

.submit:hover {
  background-color:white;
  color: #E48310;
  border: 1px solid #E48310;
}

@keyframes pulse {
  from {
    transform: scale(0.9);
    opacity: 1;
  }

  to {
    transform: scale(1.8);
    opacity: 0;
  }
}
.input1 {
  color: black;
  width: 110%; /* Take full width of the label */
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 14px;
}
.flex {
  display: flex;
  justify-content: space-between; /* Space evenly between the two dropdowns */
  align-items: center; /* Center vertically within the container */
  flex-wrap: wrap; /* Wrap to the next line if the container becomes too narrow */
}

label {
  flex: 0 0 48%; /* Adjust the width as needed, considering margins */
  margin-bottom: 10px; /* Add some spacing between dropdowns */
}

</style>





</html>
<style>




.type {



    height: 1000px;
    background-image: url('./img/Untitled-6-01.png');
    background-size:contain;
    width: 50%;
    background-repeat: no-repeat;
  
}

.intro-area {
  text-align: center; /* Center the content horizontally */
}


*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body{
  font-family: 'Open Sans', sans-serif;
  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
}
.container {
  width: 100%;
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 15px;
  display: flex;
  flex-direction: column;
  align-items: center;


}
.header-area {
  background: linear-gradient(rgba(0,0,0,.3), rgba(0,0,0,.5)),url('./img/4.png');
  background-position: center center;
  background-size: cover;
}
/* default css end */


/* navbar regular css start */
.navbar-area {
  background: rgba(0,0,0,.6);
  border-bottom: 1px solid #000;
}
.site-navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
 
  width: 105%;
}
a.site-logo {
  
  text-decoration: none;
}
.site-navbar ul {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
}
.site-navbar ul li a {
  color: #fff;
  padding: 20px;
  display: block;
  text-decoration: none;
  text-transform: uppercase;
}
.site-navbar ul li a:hover {
  background: rgba(255,255,255,.1);
}
/* navbar regular css end */


/* nav-toggler css start */
.nav-toggler {
  border: 3px solid #fff;
  padding: 5px;
  background-color: transparent;
  cursor: pointer;
  height: 39px;
  display: none;
}
.nav-toggler span, 
.nav-toggler span:before, 
.nav-toggler span:after {
  width: 28px;
  height: 3px;
  background-color: #fff;
  display: block;
  transition: .3s;
}
.nav-toggler span:before {
  content: '';
  transform: translateY(-9px);
}
.nav-toggler span:after {
  content: '';
  transform: translateY(6px);
}
.nav-toggler.toggler-open span {
  background-color: transparent;
}
.nav-toggler.toggler-open span:before {
  transform: translateY(0px) rotate(45deg);
}
.nav-toggler.toggler-open span:after {
  transform: translateY(-3px) rotate(-45deg);
}
/* nav-toggler css start */


/* intro-area css start */
.intro-area {
  height: calc(100vh - 61px);
  display: flex;
  align-items: center;
  text-align: center;
  color: #fff;
}
.intro-area h2 {
  font-size: 50px;
  font-weight: 300;
  line-height: 50px;
  margin-bottom: 25px;
}
.intro-area p {
  font-size: 18px;
}
/* intro-area css end */


/* mobile breakpoint start */
@media screen and (max-width: 767px) {
  .container {
    max-width: 720px;
  }
  /* navbar css for mobile start */
  .nav-toggler{
    display: block;
  }
  .site-navbar {
    min-height: 60px;
  }
  .site-navbar ul {
    position: absolute;
    width: 100%;
    height: calc(100vh - 60px);
    left: 0;
    top: 60px;
    flex-direction: column;
    align-items: center;
    border-top: 1px solid #444;
    background-color: rgba(0,0,0,.75);
    max-height: 0;
    overflow: hidden;
    transition: .3s;
  }
  .site-navbar ul li {
    width: 100%;
    text-align: center;
  }
  .site-navbar ul li a {
    padding: 25px;
  }
  .site-navbar ul li a:hover {
    background-color: rgba(255,255,255,.1);
  }
  .site-navbar ul.open {
    max-height: 100vh;
    overflow: visible;
  }
  .intro-area h2 {
    font-size: 36px;
    margin-bottom: 15px;
  }  
  /* navbar css for mobile end */
}
/* mobile breakpoint end */


.container-bottom {
  margin-top: 90px;
  width: 100%; /* Occupy 100% of the available width */
  max-width: 800px; /* Set a maximum width if needed */
  margin: 0 auto; /* Center horizontally */
}

section {
  width:100%;
  display: flex;
  margin-top: 50px;
   flex-direction: column;
    justify-content: center;
     align-items: center; 
     text-align: center;
 
}

section p {
  padding-bottom: 20px;
}


.cta {
 position: relative;
 margin: auto;
 padding: 12px 18px;
 transition: all 0.2s ease;
 border: none;
 margin-top:10px;
 background: none;
}

.cta:before {
 content: "";
 position: absolute;
 top: 0;
 left: 0;
 display: block;
 border-radius: 50px;
 background:#E48310;
 width: 45px;
 height: 45px;
 transition: all 0.3s ease;
}

.cta span {
 position: relative;
 font-family: "Ubuntu", sans-serif;
 font-size: 18px;
 font-weight: 700;
 letter-spacing: 0.05em;
 color:white;
}

.cta svg {
 position: relative;
 top: 0;
 margin-left: 10px;
 fill: none;
 stroke-linecap: round;
 stroke-linejoin: round;
 stroke: #E48310;
 stroke-width: 2;
 transform: translateX(-5px);
 transition: all 0.3s ease;
}

.cta:hover:before {
 width: 100%;
 background: #E48310;
}

.cta:hover svg {
 transform: translateX(0);
}

.cta:active {
 transform: scale(0.95);
}
</style> -->


<!DOCTYPE html>
<html>
<head>
<title>Page Title</title>

<!--<title>Search Bar in HTML and CSS</title>-->
<!-- CSS -->
<link rel="stylesheet" href="./css/search.css" />


<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
<link rel="stylesheet" href="./css/navbar.css">










</head>
<style>
  *::before,
        *::after {
            box-sizing: border-box;
        }

      

        body {
            color: #272727;
            font-family: 'Quicksand', serif;
            font-style: normal;
            font-weight: 400;
            letter-spacing: 0;
            background-image: url("./img/Untitled-2-01.png");
            background-size:fill;
            background-repeat:repeat;
        }

        .main {
            max-width: 1200px;
            margin: 0 auto;
        }

        h1 {
            font-size: 24px;
            font-weight: 400;
            text-align: center;
        }

        .img1 {
            height:auto;
            max-width:100%;
            vertical-align: middle;
           
        }

        .btn {
            color: #ffffff;
            padding: 0.8rem;
            font-size: 14px;
            text-transform: uppercase;
            border-radius: 40px;
            font-weight: 400;
            display: block;
            width: 13%;
            cursor: pointer;
            border: 1px solid rgba(255, 255, 255, 0.2);
            background: #E48310;
        }

        .btn:hover {
            background-color: #ffffff;
            color: #E48310;
        }

        .cards {
            display: flex;
            flex-wrap: wrap;
            list-style: none;
            margin: 0;
            padding: 0;
        }

        .cards_item {
            display: flex;
            padding: 1rem;
        }

        @media (min-width: 40rem) {
            .cards_item {
                width: 50%;
            }
        }

        @media (min-width: 56rem) {
            .cards_item {
                width: 33.3333%;
            }
        }

        .card {
            background-color: white;
            border-radius: 0.25rem;
            box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 1px 3px 1px;
            display: flex;
            flex-direction: column;
            overflow: hidden;
            
        }

        .card_content {
            padding: 1rem;
            background: #ffffff;
        }

        .card_title {
            color:#636161;
            font-size: 1.1rem;
            font-weight: 500;
            letter-spacing: 1px;
            text-transform: capitalize;
            margin: 0px;
        }

        .card_text {
          color:#636161;
            font-size: 0.875rem;
            line-height: 1;
            font-weight: 400;
        }

        .made_by {
            font-weight: 400;
            font-size: 13px;
            margin-top: 35px;
            text-align: center;
        }
        .card_image{
          width:600px;
          height:200px;
       
    display: flex;
    align-items: center; /* Center horizontally within the card_image container */

        }

   

</style>
<style>
  .one {
    margin-top: 30px;
  }

  h1 {
    position: relative;
    padding: 0;
    margin: 0;
    font-family:sans-serif;
    font-weight: 300;
    font-size: 40px;
    color:#606060;
    -webkit-transition: all 0.4s ease 0s;
    -o-transition: all 0.4s ease 0s;
    transition: all 0.4s ease 0s;
  }

  .one h1 {
    text-align: center;
    text-transform: uppercase;
    padding-bottom: 5px;
  }

  .one h1:before {
    width: 28px;
    height: 5px;
    display: block;
    content: "";
    position: absolute;
    bottom: 3px;
    left: 50%;
    margin-left: -14px;
    background-color: #E48310;
  }

  .one h1:after {
    width: 100px;
    height: 1px;
    display: block;
    content: "";
    position: relative;
    margin-top: 25px;
    left: 50%;
    margin-left: -50px;
    background-color: #E48310;
  }

  /* Responsive styles for smaller screens */
  @media (max-width: 768px) {
    h1 {
      font-size: 28px; /* Adjust the font size for smaller screens */
    }

    .one h1:before {
      width: 20px; /* Adjust the before element width for smaller screens */
      height: 3px; /* Adjust the before element height for smaller screens */
      bottom: 2px; /* Adjust the before element bottom position for smaller screens */
    }

    .one h1:after {
      width: 80px; /* Adjust the after element width for smaller screens */
      height: 1px; /* Adjust the after element height for smaller screens */
      margin-top: 20px; /* Adjust the after element margin-top for smaller screens */
    }
  }

  /* Additional media queries for other screen sizes can be added as needed */
</style>

<style>
  .strip
{
  background:black;
    width: 100%;
    max-width:2000px;
    margin-top:30px;
    height:40vh;
    display: flex;
    justify-content: center;
    align-items: center;
   
}
.strip h1
{
    color: #fff;
    font-weight: 300;
}
.strip .icons a{
    color: #fff;
}

</style>

<body>
    <header class="header-area">
      <nav class="navbar">
        <div class="left">
           <img src="./img//Untitled-8-01.png" width="150"/>
        </div>
        <div class="right">
            <input type="checkbox" id="check">
            <label for="check" class="checkBtn">
                <i class="fa fa-bars"></i>
            </label>
            <ul class="list">
                <li><a href="/">Home</a></li>
                <li><a href="/UserPost">Post</a></li>
                <li><a href="/UserFeedback">Feedback</a></li>
                <!-- <li><a href="/aboutus">About Us</a></li>
                <li><a href="/contactus">Contact Us</a></li> -->
            </ul>
        </div>
    </nav>

      <div class="intro-area">
          <form  class="container"  action="/adminapi/search" method="GET" style="width: 100%;">
          <div class="input-box"style="display: flex; align-items: center; justify-content: center;">
            <i class="fa fa-dot-circle-o" aria-hidden="true" style="color: #00A4EC;"></i>
            <select  name="source" style="border:solid 0px #fff;width:80%;font-size:18px;outline: none;color:#707070;" required oninvalid="this.setCustomValidity('Please choose a starting point.')" oninput="this.setCustomValidity('')">
              <option style="color: #272727;" value="" disabled selected>Choose Starting point</option>
              <option style="color: #272727;" value="Bumthang">Bumthang</option>
              <option style="color: #272727;" value="Chhukha">Chhukha</option>
              <option style="color: #272727;" style="color: #272727;" value="Dagana">Dagana</option>
              <option style="color: #272727;" value="Gasa">Gasa</option>
              <option style="color: #272727;" value="Haa">Haa</option>
              <option style="color: #272727;" value="Lhuentse">Lhuentse</option>
              <option style="color: #272727;" value="Monggar">Monggar</option>
              <option style="color: #272727;" value="Paro">Paro</option>
              <option style="color: #272727;" value="Pema Gatshel">Pema Gatshel</option>
              <option style="color: #272727;" value="Punakha">Punakha</option>
              <option style="color: #272727;" value="Samdrup Jongkhar">Samdrup Jongkhar</option>
              <option style="color: #272727;" value="Samtse">Samtse</option>
              <option style="color: #272727;" value="Sarpang">Sarpang</option>
              <option style="color: #272727;" value="Tashi Yangtse">Tashi Yangtse</option>
              <option style="color: #272727;" value="Thimphu">Thimphu</option>
              <option style="color: #272727;" value="Trashigang">Trashigang</option>
              <option style="color: #272727;" value="Trongsa">Trongsa</option>
              <option style="color: #272727;" value="Tsirang">Tsirang</option>
              <option style="color: #272727;" value="Wangdue Phodrang">Wangdue Phodrang</option>
              <option style="color: #272727;" value="Zhemgang">Zhemgang</option>
            </select>
          </div>
          <div class="input-box" style="display: flex; align-items: center; justify-content: center;">
            <i class="fa fa-map-marker" aria-hidden="true" style="color:#E48310;"></i>
            <select  name="destination" style="border:solid 0px #fff;width:80%;font-size:18px;outline: none;color:#707070;" required oninvalid="this.setCustomValidity('Please choose a description.')" oninput="this.setCustomValidity('')">
           
              <option style="color: #272727;" value="" disabled selected>Choose Destination</option>
              <option style="color: #272727;" value="Bumthang">Bumthang</option>
              <option style="color: #272727;" value="Chhukha">Chhukha</option>
              <option style="color: #272727;" style="color: #272727;" value="Dagana">Dagana</option>
              <option style="color: #272727;" value="Gasa">Gasa</option>
              <option style="color: #272727;" value="Haa">Haa</option>
              <option style="color: #272727;" value="Lhuentse">Lhuentse</option>
              <option style="color: #272727;" value="Monggar">Monggar</option>
              <option style="color: #272727;" value="Paro">Paro</option>
              <option style="color: #272727;" value="Pema Gatshel">Pema Gatshel</option>
              <option style="color: #272727;" value="Punakha">Punakha</option>
              <option style="color: #272727;" value="Samdrup Jongkhar">Samdrup Jongkhar</option>
              <option style="color: #272727;" value="Samtse">Samtse</option>
              <option style="color: #272727;" value="Sarpang">Sarpang</option>
              <option style="color: #272727;" value="Tashi Yangtse">Tashi Yangtse</option>
              <option style="color: #272727;" value="Thimphu">Thimphu</option>
              <option style="color: #272727;" value="Trashigang">Trashigang</option>
              <option style="color: #272727;" value="Trongsa">Trongsa</option>
              <option style="color: #272727;" value="Tsirang">Tsirang</option>
              <option style="color: #272727;" value="Wangdue Phodrang">Wangdue Phodrang</option>
              <option style="color: #272727;" value="Zhemgang">Zhemgang</option>
          </select>
      
          </div>
          <div class="input-box">
            <i class="fa fa-calendar-o" aria-hidden="true" id="calendar-icon"></i>
            <input style="color: #272727;" name="date" type="date" id="dateInput" class="custom-date-input" required oninvalid="this.setCustomValidity('Please choose a date.')" oninput="this.setCustomValidity('')"/>
         
            
         
          </div>
          <button class="cta">
            <span>Check</span>
          
          </button>
        </form>
      </div>
    </header>
  

    <div class="container-bottom">
    <section>

      <div class="one">
        <h1>POST</h1>
      </div>

          <form class="form1" action="/api/post-data" method="post" enctype="multipart/form-data">
              
            <label>
        
      
              <input  placeholder="Date" type="date" class="input"  name="date" style="color:black">
           
            </label>
    
            <div class="flex">
              <label>
             
                  <input style="color: #272727;" placeholder="Name" type="text" class="input"  name="name" >
                
              </label>
      
              <label>
           
                  <input type="text" placeholder="Current location" class="input" name="currentlocation">
                  
              </label>
             </div> 
    
              <div class="flex">
                <label for="source">
                  <select id="source" name="source"   class="input1">
                    <option  style="color: black;" value="" disabled selected>Source</option>
                    <option style="color: black;" value="Bumthang">Bumthang</option>
                    <option  style="color: black;" value="Chhukha">Chhukha</option>
                    <option  style="color: black;" value="Dagana">Dagana</option>
                    <option  style="color: black;" value="Gasa">Gasa</option>
                    <option  style="color: black;" value="Haa">Haa</option>
                    <option  style="color: black;" value="Lhuentse">Lhuentse</option>
                    <option  style="color: black;" value="Monggar">Monggar</option>
                    <option  style="color: black;" value="Paro">Paro</option>
                    <option  style="color: black;" value="Pema Gatshel">Pema Gatshel</option>
                    <option  style="color: black;" value="Punakha">Punakha</option>
                    <option  style="color: black;" value="Samdrup Jongkhar">Samdrup Jongkhar</option>
                    <option  style="color: black;" value="Samtse">Samtse</option>
                    <option  style="color: black;" value="Sarpang">Sarpang</option>
                    <option  style="color: black;" value="Tashi Yangtse">Tashi Yangtse</option>
                    <option  style="color: black;" value="Thimphu">Thimphu</option>
                    <option  style="color: black;" value="Trashigang">Trashigang</option>
                    <option  style="color: black;" value="Trongsa">Trongsa</option>
                    <option  style="color: black;" value="Tsirang">Tsirang</option>
                    <option  style="color: black;" value="Wangdue Phodrang">Wangdue Phodrang</option>
                    <option  style="color: black;" value="Zhemgang">Zhemgang</option>
                  </select>
                </label>
            
      
              <label for="destination">
                <select id="destination" name="destination"  class="input1">
                  <option  style="color: black;" value="" disabled selected>Destination</option>
                  <option  style="color: black;" value="Bumthang">Bumthang</option>
                  <option  style="color: black;" value="Chhukha">Chhukha</option>
                  <option  style="color: black;" value="Dagana">Dagana</option>
                  <option  style="color: black;" value="Gasa">Gasa</option>
                  <option  style="color: black;" value="Haa">Haa</option>
                  <option  style="color: black;" value="Lhuentse">Lhuentse</option>
                  <option  style="color: black;" value="Monggar">Monggar</option>
                  <option  style="color: black;" value="Paro">Paro</option>
                  <option  style="color: black;" value="Pema Gatshel">Pema Gatshel</option>
                  <option  style="color: black;" value="Punakha">Punakha</option>
                  <option  style="color: black;" value="Samdrup Jongkhar">Samdrup Jongkhar</option>
                  <option  style="color: black;" value="Samtse">Samtse</option>
                  <option  style="color: black;" value="Sarpang">Sarpang</option>
                  <option  style="color: black;" value="Tashi Yangtse">Tashi Yangtse</option>
                  <option  style="color: black;" value="Thimphu">Thimphu</option>
                  <option  style="color: black;" value="Trashigang">Trashigang</option>
                  <option  style="color: black;" value="Trongsa">Trongsa</option>
                  <option  style="color: black;" value="Tsirang">Tsirang</option>
                  <option  style="color: black;" value="Wangdue Phodrang">Wangdue Phodrang</option>
                  <option  style="color: black;" value="Zhemgang">Zhemgang</option>
                </select>
              </label>
              </div>  
                  
         
                
          
            <label>
            
              <textarea placeholder="Description" id="description" class="input1" name="description" style="height: 150px;"></textarea>
             
        
            </label>
    
            <label>
             
              <input placeholder="Image" type="file" class="input" name="image" style="color:black;">
          
          </label>
          <span id="date-error" class="error-message" style="color:red"></span>
          <span id="name-error" class="error-message"  style="color:red"></span>
          <span id="location-error" class="error-message"  style="color:red"></span>
          <span id="source-error" class="error-message"  style="color:red"></span>
          <span id="destination-error" class="error-message"  style="color:red"></span>
          
          <span id="description-error" class="error-message"  style="color:red"></span>
          <span id="image-error" class="error-message"  style="color:red"></span>
    
          <button class="submit">Submit</button>
            
        </form>
       
     
     
   
     
    </section>  

  
    
    </div>

    <div id="searchModal" class="modal">
      <div class="modal-content">
        <span class="close" id="closeModal">&times;</span>
        <div id="searchResult" class="result-container"></div>
      </div>
    </div>
    
   



    <div class="strip">
      <img src="./img/Untitled-8-01.png" width="200"/>
      
    </div>
    <div style="max-width:2000px;height:5vh;background-color:#E48310;display: flex;justify-content: center;align-items: center;">
      <p style="color:white;text-align:center;">Copyright © 2023. National Highways Status.</p>
    </div>
  
</body>


<script src="https://cdnjs.cloudflare.com/ajax/libs/responsive-nav/1.0.32/responsive-nav.min.js"></script>

<script>
const navToggler = document.querySelector('.nav-toggler');
const navMenu = document.querySelector('.site-navbar ul');
const navLinks = document.querySelectorAll('.site-navbar a');

// load all event listners
allEventListners();

// functions of all event listners
function allEventListners() {
  // toggler icon click event
  navToggler.addEventListener('click', togglerClick);
  // nav links click event
  navLinks.forEach( elem => elem.addEventListener('click', navLinkClick));
}

// togglerClick function
function togglerClick() {
  navToggler.classList.toggle('toggler-open');
  navMenu.classList.toggle('open');
}

// navLinkClick function
function navLinkClick() {
  if(navMenu.classList.contains('open')) {
    navToggler.click();
  }
}
</script>




<script>
 // Function to handle form submission
function handleFormSubmit(event) {
  event.preventDefault(); // Prevent the default form submission

  const source = document.querySelector('select[name="source"]').value;
  const destination = document.querySelector('select[name="destination"]').value;
  const date = document.querySelector('input[name="date"]').value;

  // Build the URL with query parameters
  const url = `/adminapi/search?source=${source}&destination=${destination}&date=${date}`;

  // Send an AJAX request to the server
  fetch(url)
    .then(response => response.json())
    .then(data => {
      if (data.length > 0) {
        // Display the search result in the modal
        const searchResult = document.getElementById('searchResult');
        searchResult.innerHTML = '';

        // Loop through the data and create cards
        data.forEach(entry => {
          const card = document.createElement('div');
          card.className = 'card';

          // Populate the card with data
          card.innerHTML = `
            <div class="card_image">
              <img class="img1" src="${entry.image}" alt="Card Image">
            </div>
            <div class="card_content">
              <h2 class="card_title">
                <i class="fas fa-exclamation-triangle" style="color: #ed0707;"></i>
                Road Block
              </h2><br>
              <p class="card_text">Road block between <strong style="color:#636161">${entry.source}</strong> and <strong style="color:#636161">${entry.destination}</strong></p><br>
              <p class="card_text">Date: ${formatDate(entry.date)}</p><br>
              <p class="card_text"><i class="fas fa-map-marker-alt" style="color: #00A4EC;"></i>${entry.currentlocation}</p><br>
              <p class="card_text" style='line-height: 1.5;'>${entry.description}</p><br>
              <p class="card_text">Source:${entry.name}</p><br>
              <button class="button">Share <i class="fas fa-share fa-1x" style="color:green;"></i></button>
            </div>
          `;

          // Append the card to the search result container
          searchResult.appendChild(card);
        });

        // Open the modal
        const modal = document.getElementById('searchModal');
        modal.style.display = 'block';
      } else {
        alert('No block found.');
      }
    })
    .catch(error => {
      alert('An error occurred while searching data.');
      console.error(error);
    });
}

// Close the modal when clicking the close button
document.getElementById('closeModal').addEventListener('click', function () {
  const modal = document.getElementById('searchModal');
  modal.style.display = 'none';
});

// Add a submit event listener to the form
const form = document.querySelector('form');
form.addEventListener('submit', handleFormSubmit);


</script>




<script>
  const form1 = document.querySelector('.form1');

  const dateInput = form1.querySelector('input[name="date"]');
  const nameInput = form1.querySelector('input[name="name"]');
  const locationInput = form1.querySelector('input[name="currentlocation"]');
  
  const sourceSelect = form1.querySelector('select[name="source"]');
  const destinationSelect = form1.querySelector('select[name="destination"]');

  const descriptionTextarea = form1.querySelector('textarea[name="description"]');
  const imageInput = form1.querySelector('input[name="image"]');



  const dateError = document.getElementById('date-error');
  const nameError = document.getElementById('name-error');
  const sourceError = document.getElementById('source-error');

  const locationError = document.getElementById('location-error');
  const destinationError = document.getElementById('destination-error');

  const descriptionError = document.getElementById('description-error');
  const imageError = document.getElementById('image-error');

  form1.addEventListener('submit', function (event) {
    let hasError = false;
    dateError.textContent = '';
    dateError.style.display = 'none';
    nameError.textContent = '';
    nameError.style.display = 'none';

    if (dateInput.value.trim() === '') {
dateError.textContent = 'Please select a date.';
dateError.style.display = 'block';
hasError = true;
} else {
// Name (only if there was no date error)
if (nameInput.value.trim() === '') {
  nameError.textContent = 'Please fill in the Name field.';
  nameError.style.display = 'block';
  hasError = true;
} else if (!/^[A-Za-z ]+$/.test(nameInput.value.trim().replace(/\s/g, ''))) {
  nameError.textContent = 'Name can only contain alphabetical characters and spaces.';
  nameError.style.display = 'block';
  hasError = true;
}
}

    if (!hasError && locationInput.value.trim() === '') {
      locationError.textContent = 'Please fill in the location.';
      locationError.style.display = 'block';
      hasError = true;
    } else {
      locationError.textContent = '';
      locationError.style.display = 'none';
    }

    if (!hasError && sourceSelect.value === '') {
      sourceError.textContent = 'Please select a source.';
      sourceError.style.display = 'block';
      hasError = true;
    } else {
      sourceError.textContent = '';
      sourceError.style.display = 'none';
    }

    if (!hasError && destinationSelect.value === '') {
      destinationError.textContent = 'Please select a destination.';
      destinationError.style.display = 'block';
      hasError = true;
    } else {
      destinationError.textContent = '';
      destinationError.style.display = 'none';
    }



    if (!hasError && descriptionTextarea.value.trim() === '') {
      descriptionError.textContent = 'Please provide a description.';
      descriptionError.style.display = 'block';
      hasError = true;
    } else {
      descriptionError.textContent = '';
      descriptionError.style.display = 'none';
    }

    if (!hasError && imageInput.value.trim() === '') {
      imageError.textContent = 'Please upload an image.';
      imageError.style.display = 'block';
      hasError = true;
    } else {
      imageError.textContent = '';
      imageError.style.display = 'none';
    }

    if (hasError) {
      event.preventDefault();
    }
  });

  dateInput.addEventListener('input', function () {
    dateError.textContent = '';
    dateError.style.display = 'none';
  }); 
  nameInput.addEventListener('input', function () {
    nameError.textContent = '';
    nameError.style.display = 'none';
  });
  locationInput.addEventListener('input', function () {
    locationError.textContent = '';
    locationError.style.display = 'none';
  });

  sourceSelect.addEventListener('change', function () {
    sourceError.textContent = '';
    sourceError.style.display = 'none';
  });

  destinationSelect.addEventListener('change', function () {
    destinationError.textContent = '';
    destinationError.style.display = 'none';
  });



  descriptionTextarea.addEventListener('input', function () {
    descriptionError.textContent = '';
    descriptionError.style.display = 'none';
  });

  imageInput.addEventListener('input', function () {
    imageError.textContent = '';
    imageError.style.display = 'none';
  });
</script>
</body>
</html>
<style>

.error-message {
  display: none;
  color: red;

}


</style>
<style>
  .form1 {
  display: flex;
  flex-direction: column;
  gap: 10px;
  max-width: 550px;
  
  padding:50px 40px;
  background-color: white;
  position: relative;
  margin-top:10px;
  box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;
 
}

.title {
  font-size: 28px;
  color: royalblue;
  font-weight: 600;
  letter-spacing: -1px;
  position: relative;
  display: flex;
  align-items: center;
  padding-left: 30px;
}

.title::before,.title::after {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  border-radius: 50%;
  left: 0px;
  background-color: royalblue;
}

.title::before {
  width: 18px;
  height: 18px;
  background-color: royalblue;
}

.title::after {
  width: 18px;
  height: 18px;
  animation: pulse 1s linear infinite;
}

.message, .signin {
  color: rgba(88, 87, 87, 0.822);
  font-size: 14px;
}

.signin {
  text-align: center;
}

.signin a {
  color: royalblue;
}

.signin a:hover {
  text-decoration: underline royalblue;
}

.flex {
  display: flex;
  width: 100%;
  gap: 6px;
}

.form1 label {
  position: relative;
}

.form1 label .input {
  width: 100%;
  padding: 10px 10px 20px 10px;
  
  outline: 0;
  border: 1px solid rgba(105, 105, 105, 0.397);
  border-radius: 10px;
}
.form1 label .input1 {
  width: 100%;
  padding: 10px 10px 20px 10px;
  outline: 0;
  border: 1px solid rgba(105, 105, 105, 0.397);
  border-radius: 10px;
}

.form1 label .input + span {
  position: absolute;
  left: 10px;
  bottom:15px;
  color: grey;
  font-size: 0.9em;
  cursor: text;
  transition: 0.3s ease;
}
.form1 label .input1 + span {
  position: absolute;
  left: 10px;
  bottom:120px;
  color: grey;
  font-size: 0.9em;
  cursor: text;
  transition: 0.3s ease;
}

.form1 label .input:placeholder-shown + span {
  bottom: 15px;
  font-size: 0.9em;
}
.form1 label .input1:placeholder-shown + span {
  bottom: 15px;
  font-size: 0.9em;
}

.form1 label .input:focus + span,.form1 label .input:valid + span {
  top: -0px;
  font-size: 0.7em;
  font-weight: 600;
}
.form1 label .input1:focus + span,.form1 label .input:valid + span {
  top: -0px;
  font-size: 0.7em;
  font-weight: 600;
}

.form1 label .input:valid + span {
  color: green;
}
.form1 label .input1:valid + span {
  color: green;
}

.submit {
  border: none;
  outline: none;
  background-color:#E48310;
  width: 100%;
  height: 40px;
 
  color: #fff;
  font-size: 16px;
  transform: .3s ease;
}

.submit:hover {
  background-color:white;
  border: none;
  outline: none;
  width: 100%;
  height: 40px;;
 
  
  font-size: 16px;
  color: #E48310;
  border: 1px solid #E48310;
}

@keyframes pulse {
  from {
    transform: scale(0.9);
    opacity: 1;
  }

  to {
    transform: scale(1.8);
    opacity: 0;
  }
}
.input1 {
  color: black;
  width: 110%; /* Take full width of the label */
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 14px;
}
.flex {
  display: flex;
  justify-content: space-between; /* Space evenly between the two dropdowns */
  align-items: center; /* Center vertically within the container */
  flex-wrap: wrap; /* Wrap to the next line if the container becomes too narrow */
}

label {
  flex: 0 0 48%; /* Adjust the width as needed, considering margins */
  margin-bottom: 10px; /* Add some spacing between dropdowns */
}

</style>







</html>
<style>




body{
  font-family: 'Open Sans', sans-serif;
  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
}

.intro-area {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}
.container {
  width: 100%;
  max-width:1200px;
  display: flex;
  flex-direction: column;
  align-items: center;


}
.header-area {
  background: linear-gradient(rgba(0,0,0,.3), rgba(0,0,0,.5)),url('./img/4.png');
  background-position: center center;
  background-size: cover;
  height: 100vh;
}
/* default css end */


.container-bottom {
  margin-top: 80px;
  max-width:1200px; /* Set a maximum width if needed */
  margin: 0 auto; /* Center horizontally */
  height: auto;
  display:flex;
  justify-content: center;
  align-items: center;

}

section {
  max-width:1200px;
  
 
}

section p {
  padding-bottom: 20px;
}


.cta {
 position: relative;
 margin: auto;
 padding: 12px 18px;
 transition: all 0.2s ease;
 border: none;
 margin-top:10px;
 background: none;
}

.cta:before {
 content: "";
 position: absolute;
 top: 0;
 left: 0;
 display: block;
 border-radius: 50px;
 background:#E48310;
 width: 45px;
 height: 45px;
 transition: all 0.3s ease;
}

.cta span {
 position: relative;
 font-family: "Ubuntu", sans-serif;
 font-size: 18px;
 font-weight: 700;
 letter-spacing: 0.05em;
 color:white;
}

.cta svg {
 position: relative;
 top: 0;
 margin-left: 10px;
 fill: none;
 stroke-linecap: round;
 stroke-linejoin: round;
 stroke: #E48310;
 stroke-width: 2;
 transform: translateX(-5px);
 transition: all 0.3s ease;
}

.cta:hover:before {
 width: 100%;
 background: #E48310;
}

.cta:hover svg {
 transform: translateX(0);
}

.cta:active {
 transform: scale(0.95);
}
</style>
<style>
  .button {
 display: inline-block;
 background-color:#E48310;
 padding: 10px 15px;
 border: 1px solid #E48310;
 border-radius: 4px;
 transition: all 0.2s ease-in;
 position: relative;
 overflow: hidden;
 font-size: 19px;
 color:white;
 z-index: 1;
}

.button:before {
 content: "";
 position: absolute;
 left: 50%;
 transform: translateX(-50%) scaleY(1) scaleX(1.25);
 top: 100%;
 width: 140%;
 height: 180%;
 background-color: rgba(0, 0, 0, 0.05);
 border-radius: 50%;
 display: block;
 transition: all 0.5s 0.1s cubic-bezier(0.55, 0, 0.1, 1);
 z-index: -1;
}

.button:after {
 content: "";
 position: absolute;
 left: 55%;
 transform: translateX(-50%) scaleY(1) scaleX(1.45);
 top: 180%;
 width: 160%;
 height: 190%;
 background-color: #39bda7;
 border-radius: 50%;
 display: block;
 transition: all 0.5s 0.1s cubic-bezier(0.55, 0, 0.1, 1);
 z-index: -1;
}

.button:hover {
 color: #ffffff;
 border: 1px solid #39bda7;
}

.button:hover:before {
 top: -35%;
 background-color: #39bda7;
 transform: translateX(-50%) scaleY(1.3) scaleX(0.8);
}

.button:hover:after {
 top: -45%;
 background-color: #39bda7;
 transform: translateX(-50%) scaleY(1.3) scaleX(0.8);
}
</style>
<style>
  /* Modal Styles */
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.4);
  overflow: auto;
}

.modal-content {
  background-color: #fefefe;
  margin: 10% auto;
  padding: 30px;
  border: 1px solid #888;
  width: 50%;
  height:auto;
  max-width: 450px;
}

.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover {
  color: black;
  text-decoration: none;
}

</style>